Skip to main content
GET
Get organization resource limits

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

org:read

Read organization information

Path Parameters

organizationID
string
required

Unique identifier of the organization

Pattern: [a-zA-Z0-9_-~:]+

Response

Effective resource limits for the organization

Effective resource limits for an organization, covering org-level defaults for all projects plus organization-specific constraints

maxDescriptionLength
integer
required

Maximum character length allowed for branch descriptions

Required range: x >= 25
maxBranchesPerProject
integer
required

Maximum number of branches allowed per project

maxInstancesPerBranch
integer
required

Maximum number of database instances allowed per branch

Required range: x >= 1
minInstancesPerBranch
integer
required

Minimum number of database instances required per branch

Required range: x >= 1
maxAllowedInstanceType
integer
required

Maximum VCPUs (in millicores) allowed per instance; instance types with a higher VCPUsRequest are unavailable

Required range: x >= 1
maxBranchesPerHour
integer
required

Maximum number of branches that can be created in a rolling one-hour window

Required range: x >= 1
maxStorageGBPerBranch
integer
required

Maximum storage in GiB (gigabytes) allowed per branch; 0 means no limit

Required range: x >= 0
maxProjects
integer
required

Maximum number of projects allowed in the organization

Required range: x >= 1
maxProjectsPerHour
integer
required

Maximum number of projects that can be created in a rolling one-hour window

Required range: x >= 1
maxBranchesPerOrg
integer
required

Maximum number of active branches allowed across all projects in the organization

Required range: x >= 1